<div class="tad">
    <app-content-banner [isDashboard]="false" [isTutorialRequired]="true" [TutorialPageName]="'tad-submission'" pageName="TAD Submission"></app-content-banner>
        <mat-card class="tad-main-card mat-elevation-z0">
          <mat-card-header fxLayout="column" fxLayoutGap="5px">
            <div class="top-header-filter regular-mat-form-field" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="10px">
                 <div *ngIf="is_CAS" class="left-text" fxFlex="45">
                    <mat-label style="font-weight: 600;">Agency Name: &nbsp;</mat-label>
                    <mat-form-field appearance="outline">
                      <mat-select (selectionChange)="onAgencySelected()" [(ngModel)]="selectedAgencyID">
                        <mat-option [value]="0">Select One</mat-option>
                        <mat-option *ngFor="let agency of agencyList" [value]="agency.agencyID">
                          {{agency.agencyNo + ' - ' + agency.agencyName}}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>
                  </div>
              <div *ngIf="is_SH_HP"  class="left-text" fxFlex="30">
                <mat-label style="font-weight: 600;">Agency Name: &nbsp; </mat-label>
                  {{userData.agencyNo + ' - ' + userData.agencyName}}
              </div>
              <div class="right-text">
                <mat-label style="font-weight: 600;">Site Name:  &nbsp;</mat-label>
                <mat-form-field appearance="outline">
                  <mat-select [(ngModel)]="selectedSiteID">
                    <mat-option [value]="0">All</mat-option>
                    <mat-option *ngFor="let site of siteList" [value]="site.siteID">
                        {{site.siteNo + ' - ' + site.siteName}}
                    </mat-option>
                  </mat-select>
                </mat-form-field>

              </div>
              <div>
                <button  (click)="onGo()" mat-raised-button color="primary">GO</button>
              </div>
            </div>
            <div fxLayout="row" class="second-header-filter">
              <!-- <div class="stats"><span><b>Total Units: </b>{{ TAD ? TAD.totalUnits : 0}}</span></div>
              <div class="stats"><span><b>Occupied: </b> {{ TAD ? TAD.occupied : 0}}</span></div>
              <div class="stats"><span><b>Online: </b> {{ TAD ? TAD.online : 0}}</span></div>
              <div class="stats" style="color: red"><span><b>Offline: </b> {{ TAD ? TAD.offline : 0}}</span></div>
              <div class="stats"><span><b>New Move-Ins: </b>{{ TAD ? TAD.moveIn : 0}}</span></div>
              <div class="stats"><span><b>New Move-Outs: </b>{{ TAD ? TAD.moveOut : 0}}</span></div> -->
              <div class="stats" style="color: red;"><span><b>NotSubmitted(Overdue): </b>{{TAD ? TAD.notSubmittedOverdue : 0}}</span></div>
              <div class="stats" style="color: #FF9900"><span><b>In Progress: </b>{{TAD ? TAD.inProgress : 0}}</span></div>
              <div class="stats" style="color: #FF9900"><span><b> Pending Verification: </b>{{TAD ? TAD.pending : 0}}</span></div>
              <div class="stats" style="color: green"><span><b>Verified: </b>{{TAD ? TAD.verified : 0}}</span></div>
            </div>
          </mat-card-header>
          <mat-card-content>
            <mat-tab-group dynamicHeight>
              <mat-tab>
                <ng-template matTabLabel>
                  <span>Pending</span>
                </ng-template>

                <ng-template matTabContent>
                  <div class="example-small-box mat-elevation-z4" fxLayout="column">
                    <div class="table-filters-header" fxLayout="column">
                      <div fxLayout="row" fxLayoutAlign="start">
                        <div class="table-top-icons" fxLayoutAlign="end" fxFlex="auto">
                          <mat-icon (click)="refreshAgGrid()" color="primary" matTooltip="Reset the filters">refresh
                          </mat-icon>
                          <mat-icon (click)="onBtExport()" color="primary" matTooltip="Export to Excel">save</mat-icon>
                        </div>
                      </div>
                    </div>
                    <div class="example-container mat-elevation-z4" *ngIf="canSubmit">
                      <ag-grid-angular
                        #agGrid id="myGrid"
                        style="width: 100%; height: calc(100vh - 310px);"
                        class="ag-theme-balham my-grid"
                        [columnDefs]="columnDefs"
                        [defaultColDef]="defaultColDef"
                        [rowData]="pendingTAD"
                        [context]="context"
                        [animateRows]="true"
                        [gridOptions]="gridOptions"
                        [pagination]="pagination"
                        [paginationAutoPageSize]="true"
                        (firstDataRendered)="onFirstDataRendered($event)"
                        [frameworkComponents]="frameworkComponents"
                        [overlayLoadingTemplate]="overlayLoadingTemplate"
                        [overlayNoRowsTemplate]="overlayNoRowsTemplate"
                         (gridReady)="onGridReady($event)">
                      </ag-grid-angular>
                    </div>
                    <div class="example-container mat-elevation-z4" *ngIf="!canSubmit">
                        <ag-grid-angular
                          #agGrid id="myGrid"
                          style="width: 100%; height: calc(100vh - 310px);"
                          class="ag-theme-balham my-grid"
                          [columnDefs]="noSubmitColDef"
                          [defaultColDef]="defaultColDef"
                          [rowData]="pendingTAD"
                          [context]="context"
                          [animateRows]="true"
                          [gridOptions]="gridOptions"
                          [pagination]="pagination"
                          [paginationAutoPageSize]="true"
                          (firstDataRendered)="onFirstDataRendered($event)"
                          [frameworkComponents]="frameworkComponents"
                          [overlayLoadingTemplate]="overlayLoadingTemplate"
                          [overlayNoRowsTemplate]="overlayNoRowsTemplate"
                           (gridReady)="onGridReady($event)">
                        </ag-grid-angular>
                      </div>
                  </div>
                </ng-template>
              </mat-tab>
              <mat-tab>
                <ng-template matTabLabel>
                  <span>Transmitted</span>
                </ng-template>
                <ng-template matTabContent>
                  <div class="example-small-box mat-elevation-z4" fxLayout="column">
                      <div class="table-filters-header" fxLayout="column">
                          <div fxLayout="row" fxLayoutAlign="start">
                            <div class="table-top-icons" fxLayoutAlign="end" fxFlex="auto">
                              <mat-icon (click)="refreshAgGrid()" color="primary" matTooltip="Reset the filters">refresh
                              </mat-icon>
                              <mat-icon (click)="onBtExport()" color="primary" matTooltip="Export to Excel">save</mat-icon>
                            </div>
                          </div>
                        </div>
                    <div class="example-container mat-elevation-z4">
                      <ag-grid-angular
                        #agGrid1 id="myGrid1"
                        style="width: 100%; height: calc(100vh - 310px);"
                        class="ag-theme-balham"
                        [columnDefs]="transmitColumnDefs"
                        [defaultColDef]="defaultColDef"
                        [rowData]="transmittedTAD"
                        [singleClickEdit]="true"
                        [context]="context"
                        [animateRows]="true"
                        [pagination]="true"
                        [gridOptions]="gridOptions1"
                        [paginationAutoPageSize]="true"
                        (firstDataRendered)="onFirstDataRendered1($event)"
                        [frameworkComponents]="frameworkComponents"
                        [overlayLoadingTemplate]="overlayLoadingTemplate"
                        [overlayNoRowsTemplate]="overlayNoRowsTemplate"
                        (gridReady)="onGridReady1($event)">  <!-- (rowSelected)="onRowSelected1($event)" -->
                      </ag-grid-angular>

                    </div>
                  </div>
                </ng-template>
              </mat-tab>
            </mat-tab-group>
          </mat-card-content>
        </mat-card>
      </div>
